<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 2</title>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js" type="text/javascript"></script>
	<script type="text/javascript">
	//eventos, como jquery gestiona los eventos

	let textos = ["ver","ocultar"];
	let c = 0;

	$(document).ready(function(e){
		$("button").click(function(){
			$("img").toggle(); //toggle alterna entre ocultar y mostrar el elemento
			$(this).text("pulsa para " + textos[c%2]); //cuando ocultas la imagen sale este boton, pulsa para ver
			c++;
		});
	});

	</script>

</head>
<body>
	<img src="1.jpg" width="450" height="300"/>
	<button>pulsa para ocultar</button>
</body>
</html>